//region Imports
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var _ = require('lodash');
var path = require('path');
var cwd = require('cwd');
//endregion

exports['default'] = function (gulp, opts) {

  _.defaults(opts, {
    srcGlob: '',
    // TODO(vjpr)!
    //eslint: {configFile: path.join(__dirname, './eslintrc.json')},
    eslint: { configFile: './.eslintrc' }
  });

  gulp.task('lint', function () {
    var eslint = require('gulp-eslint');

    return gulp.src(opts.srcGlob).pipe(eslint(opts.eslint)).pipe(eslint.format()).pipe(eslint.failAfterError());
  });

  gulp.task('lint:bootstrap', function (done) {
    var replaceFile = require('../util/replaceFile');

    var dest = cwd('.eslintrc');
    replaceFile(dest, JSON.stringify(eslintrc, null, 2), done);
  });
};

var eslintrc = {
  "extends": "./node_modules/babelator/defaults/.eslintrc"
};
module.exports = exports['default'];